Subject: Taxonomy

From: Pierre Abbat <[email-masked]>
Date: Sat, 14 Jul 2001 04:41:08 -0400

I have noticed a cladistic bias in the terms used for taxonomy. I am not a
cladist, and even cladists have to talk to non-cladists sometimes, so I feel
there should be words for kingdom, phylum, class, order, family, genus, and
species. Any suggestions?

phma